2017-11-22 12:51 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002159Kali Linux[All Projects] General Bugpublic2015-03-23 02:53
Reportermuts 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target Version2.0Fixed in Versionkali-dev 
Summary0002159: Metasploit fails to start on an installed system of kali-rolling
Descriptionroot@kali:~# /etc/init.d/postgresql start
[ ok ] Starting postgresql (via systemctl): postgresql.service.


root@kali:~# /etc/init.d/metasploit start
[....] Starting metasploit (via systemctl): metasploit.serviceJob for metasploit.service canceled.
root@kali:~# netstat -antp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State PID/Program name
ttcp 0 0 127.0.0.1:5432 0.0.0.0:* LISTEN 1680/postgres
tcp6 0 0 ::1:5432 :::* LISTEN 1680/postgres
root@kali:~# /etc/init.d/metasploit start
[....] Starting metasploit (via systemctl): metasploit.serviceJob for metasploit.service canceled.
 failed!

Attached Files

-Relationships
+Relationships

-Notes

~0003159

rhertzog (administrator)

Does the current metasploit officially support ruby 2.1 ?

~0003177

sbrun (manager)

The init script calls dpkg-reconfigure to run the postinst but the
postinst also runs the init script which results in a loop. The loop is stopped with some check of in init script but while this worked
OK is SystemV, systemd is not so happy and when "invoke-rc.d start
metasploit" is executed while already running under the supervision of
systemd, systemd fails with a message explaining that it cancels the job.
The init script has been updated to worked with systemd too.
Version is 4.11.1-2015031701-1kalidev0
+Notes

-Issue History
Date Modified Username Field Change
2015-03-11 09:55 muts New Issue
2015-03-11 10:32 rhertzog Product Version => kali-dev
2015-03-11 10:32 rhertzog Target Version kali-dev => 2.0
2015-03-11 10:32 rhertzog Note Added: 0003159
2015-03-23 02:53 sbrun Note Added: 0003177
2015-03-23 02:53 sbrun Status new => resolved
2015-03-23 02:53 sbrun Resolution open => fixed
2015-03-23 02:53 sbrun Fixed in Version => kali-dev
2015-11-09 13:44 Mr.Joe Issue cloned: 0002798
+Issue History